Difference between revisions of "8.40.4"

From cchtml.com
Jump to: navigation, search
(Symptom)
(Solution)
Line 18: Line 18:
  
 
b) Modify the MODULE_LICENSE String in the kernel module to "GPL"
 
b) Modify the MODULE_LICENSE String in the kernel module to "GPL"
 +
 +
- or -
 +
 +
Upgrade to Kernel >2.6.22
  
 
==External links==
 
==External links==

Revision as of 00:23, 27 August 2007

ATI Linux fglrx driver version 8.40.4

Release Date: 8-13-2007

Contents

Symptom

Kernel 2.6.21 : the kernel module fglrx.ko will not be built ... and the ATI installer wont tell you, it has not.

Kernel 2.6.22 will compile the module.

Reason

ATI kernel module has non-GPL License. Kernel build system has restricted the usage of some functions to GPL-only modules. So the kernel module won't be compile.

Solution

a) Go kick ATI to build a GPL compatible kernel module.

b) Modify the MODULE_LICENSE String in the kernel module to "GPL"

- or -

Upgrade to Kernel >2.6.22

External links